DOOMSDAY-SERVER(6)

NAME
doomsday-server - Doomsday Engine multiplayer daemon

SYNOPSIS
doomsday-server [-stdout] [-port tcp-port] [-iwad dir] [-game mode] [-v] [-file file ...]

Note that the command line is not interpreted according to GNU conventions. Everything following -- is ignored. @ can be used to specify a response file whose contents are added to the command line.

OPTIONS

-stdout
    Prints all log entries to the standard output. If this option is not used, nothing is printed so that the server can be run as a background process.

-port
    TCP port that the server listens to for incoming connections.

-iwad
    Specifies a directory where to look for IWAD files. Doomsday will search for IWADs from all known games and automatically load them when needed. Note that you can also use the DOOMWADDIR environment variable or the paths configuration file to specify the location of the IWAD files.

-game
    Sets the game to load after startup. See doomsday(6) for a list of available games. For example:

    -game doom1-ultimate

    If -game is not specified and the server is unable to choose a game automatically, the server will quit.

-v  Print verbose log messages (also -verbose). Specify more than once for extra verbosity.

-file
    Specify one or more resource files (WAD, LMP, PK3) to load at startup. More files can be loaded at runtime with the load command.

In addition to these, doomsday-server supports many of the command line options of doomsday(6).

OPERATING A SERVER
Doomsday servers are, by default, silent daemon processes intended to be run in the background. You need to use the Doomsday Shell to monitor their status and control them.

SEE ALSO
doomsday(6), doomsday-shell-text(6)

AUTHOR
This documentation has been written by Jaakko Keränen <jaakko.keranen@iki.fi> and Daniel Swanson <danij@dengine.net>.